<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celServerEventData Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celServerEventData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celServerEventData" -->
<p>The data about a server event.  
 <a href="classcelServerEventData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="nettypes_8h_source.html">physicallayer/nettypes.h</a>&gt;</code></p>

<p><a href="classcelServerEventData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelServerEventData.html#ade3009c7299b5e63226bfbbf8df8cc91">event_data</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The persistent data of the event.  <a href="#ade3009c7299b5e63226bfbbf8df8cc91"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelServerEventData.html#a695febda18615266943e9552c64c06bb">event_time</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The time at which the event occured.  <a href="#a695febda18615266943e9552c64c06bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">celServerEventType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelServerEventData.html#abcc2d43b53e5e4862ec0a4d5070e9020">event_type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the event.  <a href="#abcc2d43b53e5e4862ec0a4d5070e9020"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelServerEventData.html#a46ae665e0029280f6bcf27fdb18acebe">reliable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">True if we need to be sure that the message has been received by the client.  <a href="#a46ae665e0029280f6bcf27fdb18acebe"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The data about a server event. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00309">309</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ade3009c7299b5e63226bfbbf8df8cc91"></a><!-- doxytag: member="celServerEventData::event_data" ref="ade3009c7299b5e63226bfbbf8df8cc91" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt;<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a>&gt; <a class="el" href="classcelServerEventData.html#ade3009c7299b5e63226bfbbf8df8cc91">celServerEventData::event_data</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The persistent data of the event. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00325">325</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a695febda18615266943e9552c64c06bb"></a><!-- doxytag: member="celServerEventData::event_time" ref="a695febda18615266943e9552c64c06bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> <a class="el" href="classcelServerEventData.html#a695febda18615266943e9552c64c06bb">celServerEventData::event_time</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The time at which the event occured. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00320">320</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="abcc2d43b53e5e4862ec0a4d5070e9020"></a><!-- doxytag: member="celServerEventData::event_type" ref="abcc2d43b53e5e4862ec0a4d5070e9020" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">celServerEventType <a class="el" href="classcelServerEventData.html#abcc2d43b53e5e4862ec0a4d5070e9020">celServerEventData::event_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of the event. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00315">315</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a46ae665e0029280f6bcf27fdb18acebe"></a><!-- doxytag: member="celServerEventData::reliable" ref="a46ae665e0029280f6bcf27fdb18acebe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classcelServerEventData.html#a46ae665e0029280f6bcf27fdb18acebe">celServerEventData::reliable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>True if we need to be sure that the message has been received by the client. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00331">331</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="nettypes_8h_source.html">nettypes.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
